function [seq, ground_truth] = load_video_info(video_path)

ground_truth_tmp = dlmread([video_path '/groundtruth.txt']);
x_min =min(ground_truth_tmp(:,[1,3,5,7]),[],2);
x_max =max(ground_truth_tmp(:,[1,3,5,7]),[],2);
y_min =min(ground_truth_tmp(:,[2,4,6,8]),[],2);
y_max =max(ground_truth_tmp(:,[2,4,6,8]),[],2);
ground_truth = [x_min,y_min,x_max-x_min,y_max-y_min];
seq.len = size(ground_truth, 1);
seq.init_rect = ground_truth(1,:);

img_path = [video_path];

if exist([img_path num2str(1, '%08i.png')], 'file'),
    img_files = num2str((1:seq.len)', [img_path '%08i.png']);
elseif exist([img_path num2str(1, '%08i.jpg')], 'file'),
    img_files = num2str((1:seq.len)', [img_path '%08i.jpg']);
elseif exist([img_path num2str(1, '%08i.bmp')], 'file'),
    img_files = num2str((1:seq.len)', [img_path '%08i.bmp']);
else
    error('No image files to load.')
end

seq.s_frames = cellstr(img_files);

end

